删除 microsoftAuthenticatorAuthenticationMethod

命名空间:microsoft.graph

删除 microsoftAuthenticatorAuthenticationMethod 对象。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

自行操作的权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) UserAuthenticationMethod.ReadWrite
委派(个人 Microsoft 帐户) 不支持。
应用程序 不支持。

对其他用户操作的权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) UserAuthenticationMethod.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 UserAuthenticationMethod.ReadWrite.All

对于管理员在另一用户上操作的委派方案,管理员需要以下角色Azure AD之一

  • 全局管理员
  • 特权身份验证管理员
  • 身份验证管理员

HTTP 请求

DELETE /me/authentication/microsoftAuthenticatorMethods/{microsoftAuthenticatorAuthenticationMethodId}
DELETE /users/{id | userPrincipalName}/authentication/microsoftAuthenticatorMethods/{microsoftAuthenticatorAuthenticationMethodId}

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法返回 204 No Content 响应代码。

示例

请求

DELETE https://graph.microsoft.com/v1.0/users/kim@contoso.com/authentication/microsoftAuthenticatorMethods/_jpuR-TGZtk6aQCLF3BQjA2

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 204 No Content